Project

General

Profile

Feature #12479

Configure API revision for vSphere Compute Resource

Added by Timo Goebel over 4 years ago. Updated over 4 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Compute resources - VMware
Target version:
-
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

Fog defaults to using 4.0 API revision to connect to vSphere. For features like storage pools or setting the boot order one needs to use at least 5.0. As a user I should be able to configure the api revision Foreman passes to fog.


Related issues

Blocked by Foreman - Refactor #12612: Update fog to 1.37.0Closed2015-11-26

History

#1 Updated by The Foreman Bot over 4 years ago

  • Status changed from New to Ready For Testing
  • Assignee set to Timo Goebel
  • Pull request https://github.com/theforeman/foreman/pull/2913 added

#2 Updated by Timo Goebel over 4 years ago

  • Blocks Feature #12436: As a user I want to deploy vSphere vms on a storage pods added

#3 Updated by Timo Goebel over 4 years ago

  • Blocks Bug #5510: Set network as first boot device for VMs in VMware compute resources added

#4 Updated by Brandon Weeks over 4 years ago

#5 Updated by Timo Goebel over 4 years ago

Fog now chooses the most recent API version by default, see https://github.com/fog/fog-vsphere/pull/3

We might want to show this in the GUI, though.

#6 Updated by Timo Goebel over 4 years ago

  • Blocks deleted (Feature #12436: As a user I want to deploy vSphere vms on a storage pods)

#7 Updated by Timo Goebel over 4 years ago

  • Blocks deleted (Bug #5510: Set network as first boot device for VMs in VMware compute resources)

#8 Updated by Dominic Cleal over 4 years ago

#9 Updated by Dominic Cleal over 4 years ago

#10 Updated by Dominic Cleal over 4 years ago

  • Status changed from Ready For Testing to New
  • Assignee deleted (Timo Goebel)
  • Pull request deleted (https://github.com/theforeman/foreman/pull/2913)

PR was closed, but the fog-vsphere code for choosing the latest API revision should be active now.

Also available in: Atom PDF